<?php

// This file is loaded by Drupal's settings.php. Use an IIFE to create a local
// scope and therefore avoid all side effects other than to modify $databases.
(function () use (&$databases) {
  if (is_array($databases)) {
    foreach (array_keys($databases) as $key) {
      foreach (array_keys($databases[$key]) as $target) {
        if (isset($databases[$key][$target]['driver']) && ($databases[$key][$target]['driver'] === 'sqlite')) {
          $databases[$key][$target]['namespace'] = 'Drupal\\sqlite337\\Driver\\Database\\sqlite';

          // @todo Make this dynamic in case the module is in a different
          //   location.
          $databases[$key][$target]['autoload'] = 'modules/contrib/sqlite337/src/Driver/Database/sqlite/';

          $databases[$key][$target]['dependencies'] = [
            'sqlite' => [
              'namespace' => 'Drupal\\sqlite',
              'autoload' => 'core/modules/sqlite/src/',
            ],
          ];
        }
      }
    }
    }
})();
