<?php

namespace Drupal\sqlite337\Driver\Database\sqlite\Install;

use Drupal\sqlite\Driver\Database\sqlite\Install\Tasks as CoreTasks;

class Tasks extends CoreTasks {
  const SQLITE_MINIMUM_VERSION = '3.37';

  public function name() {
    if (!$this->isConnectionActive()) {
      // For selecting the database driver during new site installation,
      // provide a different label than core's sqlite driver.
      return $this->t('SQLite 3.37 or higher');
    }
    else {
      return parent::name();
    }
  }

}
